LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   I still can't use the ATI 3D acceleration with 2.6 kernel... (https://www.linuxquestions.org/questions/linux-software-2/i-still-cant-use-the-ati-3d-acceleration-with-2-6-kernel-108311/)

moly82 10-25-2003 07:59 AM

I still can't use the ATI 3D acceleration with 2.6 kernel...
 
..excuse me all for annoyng you again, it's not my first thread about this, bu I can't continue using the 2.6 kernel without 3D acecleration! :( :cry:

I downloaded the rpm xfree 4.3 ATI drivers, I used alien to get a .deb packet, than I am able to isntall it with dpkg -i --force-all *.deb

now can someone please tell me all the steps I have to do to get the 3D working? And all the patch or files changes that I need to do?

I proceeded like this:

> .deb installation
> cd /lib/modules/fglrx/build_mod
> sh make.sh

and I got the VMALLOC error with also another error that I can't remember. So I pathced the fireglpublic.c file with 2 pathces that I found on the net (2.6-test5.patch and VMALLOC.patch)

Now the make.sh go ahead without problems, but when I change directory:

> cd .. (/lib/modules/fglrx)
> sh make_install.sh

I got this:

Beote:/lib/modules/fglrx# sh make_install.sh
- creating symlink
- recreating module dependency list
- trying a sample load of the kernel module
FATAL: Error inserting fglrx (/lib/modules/2.6.0-test8/kernel/drivers/char/drm/fglrx.ko): Operation not permitted
failed.


Can someone please tell me how to proceed?

Also if I try to do:

Beote:/lib/modules/2.6.0-test8/kernel/drivers# modprobe fglrx
FATAL: Error inserting fglrx (/lib/modules/2.6.0-test8/kernel/drivers/char/fglrx.ko): Operation not permitted
Beote:/lib/modules/2.6.0-test8/kernel/drivers#



please help me I love the 2.6 kernel but I can't play UT nor Coutnter strike right now!

:cry: :( :cry:

bye all! :newbie:


All times are GMT -5. The time now is 12:11 PM.